<html>
<body>
	<h3> 1. Statistical model checking </h3>
	<p>
The SMC engine implements several statistical testing algorithms for stochastic systems verification, namely, Single Sampling Plan (SSP), Simple Probability Ratio Test (SPRT) for hypothesis testing, and Probability Estimation (PESTIM). 
To run an SMC, follow these steps:
<ol>
	<li>Select a system file </li>
	
	<li>Select a non-parametric property or edit a new one. </li>

	<li>Note that the two files must be in the same project. </li>

	<li>Launch an SMC by clicking on the button in the toolbar </li>

	<li>Set all the analysis parameters</li>

	
	<li>Start the analysis by pressing the button 'Start simulation'</li>

	<li>A dialog window appears and shows the progression of the simulation </li>

	<li>At the end a result tab is added to the central panel containing a summary of the analysis </li>

</ol>

Note that the simulation can be aborted by closing the dialog window. Also, the other tabs are disabled during the result display.
</p>

<p>
	The execution traces can be generated in two modes: symbol-by-symbol or at-once.
	At-once generation takes as extra parameter the maximum trace length which can make the monitor deal with traces that are too short.
	In this case, The monitor returns a 'not able to conclude' verdict.
	In order to make the SMC core deal with non-informative traces, these verdicts are pessimistically considered as prefixes of false traces. 
</p>

	<h3> 2. Parametric Exploration </h3>
	<p>
	Parametric exploration is an automatic way to perform statistical model checking
	on a family of properties that differ by the value of a constant. The family of
	properties is specified in a compact way as a parametric property φ(x)
	To run a parametric exploration, follow these steps:
	<ol>
		<li>Select a system file </li>
	
		<li>Select a parametric property or edit a new one. </li>

		<li>Note that the two files must be in the same project. </li>

		<li>Launch a parametric exploration by clicking on the button in the toolbar </li>

		<li>Set all the analysis parameters</li>
		
		<li> Set the parametric variable parameters, that are, its name and value range</li>
	
		<li>Start the analysis by pressing the button 'Start simulation'</li>

		<li>A dialog window appears and shows the progression of the simulation </li>

		<li>At the end a result tab is added to the central panel containing a summary of the analysis </li>

	</ol>
	</p>


	<h3> 3. The rare-event engine </h3>



	<p>
	Importance Splitting is a technique to evaluate rare properties against stochastic systems.
The condition to use is to be able to write the property  under interest in an implicative form.

To run a rare-event analysis, follow these steps:
	<ol>
		<li>Select a 'system' file. </li>
	
		<li>Click on the 'rare event analysis' button in the toolbar.</li>

		<li>A new tab is added to the central panel, where you can specify the score function, and set rare events parameters.</li>

		<li>In the Score Function panel, you can specify your score function by indicating the state formula corresponding to each level. You can also load a previously saved function.
 Note that score functions are checked for well-formness: (1) the score function must contain a level 1, and (2) the levels are contiguously defined, i.e., if the highest level is n then 
 there must be exactly n defined levels with distinct score values. </li>

		<li>Specify the number of maintained traces m, the confidence parameter alpha and the stop condition.</li>
		
		<li> Press the 'run simulation' button to start the analysis.</li>
	
		<li> A dialog window opens and shows the exploration progression.</li>

		<li> At the end of the exploration one can find in the dialog window the following information:</li>

		<ul>
			<li> The conditional probability for each level.</li>
  
 			<li> The global estimated probability to satisfy the rare property. </li>
  
  			<li> The confidence interval for the estimated probability. </li>
  
  			<li> And, the execution time.</li>
		</ul>

	</ol>
	</p>
	<p>
NB : Note that the rare-event engine only supports BIP2 models. It is mandatory to compile the model with the option '--gencpp-enable-marshalling' to enable storing/loading system states.
You can add this option by updating the untimed BIP compilation script through the ``Configure BIP compilation scripts'' button in the toolbox.
	</p>

	
</body>
</html>
